Chromium Code Reviews
Help | Chromium Project | Sign in
(149)

Issue 11053013: Clear out pending SwapBufferComplete count when activating the compositor. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 5 months ago by Vangelis Kokkevis
Modified:
2 years, 4 months ago
Reviewers:
jamesr
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam
Base URL:
http://git.chromium.org/chromium/src.git@master
Visibility:
Public.

Description

Clear out pending SwapBufferComplete count when activating the compositor. Any SBC's that are still pending are from a previous page / compositor tree and should be ignored. This will help avoid flashes (compositing of page contents before they are ready) when navigating from one url to another. BUG=153452

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -0 lines) Patch
M content/renderer/render_widget.cc View 1 chunk +4 lines, -0 lines 0 comments Download
Trybot results:
Commit:

Messages

Total messages: 7 (0 generated)
Vangelis Kokkevis
I decided to clear this out on activation of the compositor rather than de-activation in ...
2 years, 5 months ago (2012-10-03 01:35:35 UTC) #1
jamesr
On 2012/10/03 01:35:35, Vangelis Kokkevis wrote: > I decided to clear this out on activation ...
2 years, 5 months ago (2012-10-03 16:39:13 UTC) #2
Vangelis Kokkevis
On 2012/10/03 16:39:13, jamesr wrote: > On 2012/10/03 01:35:35, Vangelis Kokkevis wrote: > > I ...
2 years, 5 months ago (2012-10-03 22:07:08 UTC) #3
jamesr
On 2012/10/03 22:07:08, Vangelis Kokkevis wrote: > On 2012/10/03 16:39:13, jamesr wrote: > > On ...
2 years, 4 months ago (2012-10-16 04:15:23 UTC) #4
Vangelis Kokkevis
On 2012/10/16 04:15:23, jamesr wrote: > On 2012/10/03 22:07:08, Vangelis Kokkevis wrote: > > On ...
2 years, 4 months ago (2012-11-05 20:01:19 UTC) #5
jamesr
On 2012/11/05 20:01:19, Vangelis Kokkevis wrote: > On 2012/10/16 04:15:23, jamesr wrote:> > LGTM > ...
2 years, 4 months ago (2012-11-05 20:17:14 UTC) #6
Vangelis Kokkevis
2 years, 4 months ago (2012-11-05 21:30:30 UTC) #7
On 2012/11/05 20:17:14, jamesr wrote:
> On 2012/11/05 20:01:19, Vangelis Kokkevis wrote:
> > On 2012/10/16 04:15:23, jamesr wrote:> > LGTM
> > 
> > James, is this CL still useful after the latest refactoring you've done for
> > switching between software and composited modes?
> 
> No, I don't think this is needed any more - if we get a SwapComplete ack while
> compositing is not active we just ignore it.

Ok, thanks.  Closing it then.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld dd99357-tainted